import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:router/componentRouter/app_service.dart';

import 'app_component_service_impl.dart';

part 'app_service_provider.g.dart';

@Riverpod(keepAlive: true)
AppService appService(Ref ref) {
  return AppComponentServiceImpl();
}
